#################################################################################
#                                                                               #
#                       Copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""Plone Site Map"""
import os

from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.CMFCorePermissions import ManagePortal



## The following lines are only useful with the Log.py module
## (which is out of scope from this product)

try:
    # Check if we have to be in debug mode
    if os.path.isfile(os.path.abspath(os.path.dirname(__file__)) + '/debug.txt'):
        DEBUG_MODE = 1
    else:
        DEBUG_MODE = 0


    # Set log options correctly
    import Log
    if DEBUG_MODE:
        Log.LOG_LEVEL = Log.LOG_DEBUG
    else:
        Log.LOG_LEVEL = Log.LOG_NOTICE

    from Log import *
    Log = Log
    Log(LOG_NOTICE, "Starting %s at %d debug level" % (os.path.dirname(__file__), LOG_LEVEL, ))

except:
    LOG_DEBUG = None
    LOG_NOTICE = None
    LOG_WARNING = None
    LOG_ERROR = None
    LOG_CRITICAL = None
    def Log(*args, **kw):
        pass


SKIN_NAME = "PloneSiteMap"
I18N_NAME = "PloneSiteMap"
PROJECTNAME = "PloneSiteMap"
CONFIGLET_ID = "plonesitemap_configuration"
CONFIGLET_ICON = "plonesitemap.gif"

# Configlet to manage organisation
prefs_plonesitemap_configlet = {
    'id': CONFIGLET_ID,
    'appId': PROJECTNAME,
    'name': 'PloneSiteMap configuration',
    'action': 'string:$portal_url/prefs_PloneSiteMap_form',
    'category': 'Products',
    'permission': (ManagePortal, ),
    'imageUrl': CONFIGLET_ICON,
    }
